%define upstream_name    Class-Accessor-Constructor
%define upstream_version 1.111590

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Support for an automated dirty flag in
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Class::Accessor::Complex)
BuildRequires: perl(Class::Accessor::Installer) >= 1.100.880
BuildRequires: perl(Data::Inherited)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Tie::Hash)
BuildRequires: perl(constant)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
This module generates accessors for your class in the same spirit as the
Class::Accessor manpage does. While the latter deals with accessors for
scalar values, this module provides accessor makers for rather flexible
constructors.

The accessor generators also generate documentation ready to be used with
the Pod::Generated manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.111.590-11.mga10
+ Revision: 2197860
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.111.590-10.mga9
+ Revision: 1802340
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.111.590-9.mga8
+ Revision: 1493519
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.111.590-8.mga7
+ Revision: 1266233
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.111.590-7.mga6
+ Revision: 1023845
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.111.590-6.mga6
+ Revision: 938459
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.111.590-5.mga5
+ Revision: 739388
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.111.590-4.mga5
+ Revision: 683877
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.111.590-3.mga4
+ Revision: 509905
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.111.590-2.mga3
+ Revision: 364219
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 1.111.590-1.mga2
+ Revision: 106523
- update to 1.111590

* Fri Jan 28 2011 jquelin <jquelin> 1.100.880-1.mga1
+ Revision: 42752
- mageia rebuild
- imported package perl-Class-Accessor-Constructor

